=== debian/changelog ===
indi (2.1.8+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Feb 2026 10:22:04 +0100
