=== debian/changelog ===
indi (2.1.9+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Feb 2026 10:20:26 +0100
